class Reposync::UpdateRepoStatusService < Reposync::ClientService

  attr_accessor :repo_name, :enable

  def initialize(repo_name, enable)
    @repo_name = repo_name
    @enable = enable 
  end

  def call 
    result = put(url)
    response = render_response(result)
  end

  private
  def url 
    "/cerobot/sync/repo/#{repo_name}?enable=#{enable}".freeze
  end
end